## org.h2.test.jdbcx
Class TestXid

    java.lang.Object
      org.h2.test.jdbcx.TestXid

All Implemented Interfaces:
  javax.transaction.xa.Xid

    public class TestXid

extends java.lang.Object
implements javax.transaction.xa.Xid

A utility class for the basic XA test.

Field Summary

Fields inherited from interface javax.transaction.xa.Xid
`MAXBQUALSIZE, MAXGTRIDSIZE`

Constructor Summary
`TestXid()`
`TestXid(int branch)`

Method Summary
`byte[]` `getBranchQualifier()`
`int` `getFormatId()`
`byte[]` `getGlobalTransactionId()`
`static void` `main(java.lang.String... args)` This method is called when executing this application.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestXid

    public TestXid()

### TestXid

    public TestXid(int branch)

Method Detail

### main

    public static void main(java.lang.String... args)

  This method is called when executing this application.

  Parameters:
    `args` - the command line parameters

### getFormatId

    public int getFormatId()

  Specified by:
    `getFormatId` in interface `javax.transaction.xa.Xid`

### getGlobalTransactionId

    public byte[] getGlobalTransactionId()

  Specified by:
    `getGlobalTransactionId` in interface `javax.transaction.xa.Xid`

### getBranchQualifier

    public byte[] getBranchQualifier()

  Specified by:
    `getBranchQualifier` in interface `javax.transaction.xa.Xid`